List browser session usage
curl --request GET \
--url https://api.browser.tinyfish.ai/usage \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.browser.tinyfish.ai/usage"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.browser.tinyfish.ai/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"session_id": "tf-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"user_id": "cus_abc123",
"sub_user_id": "user_abc123",
"mode": "tf-browser",
"start_time": "2026-03-18T16:18:35Z",
"end_time": "2026-03-18T16:28:36Z",
"duration_ms": 600543,
"proxy_trg_rx_bytes": 38006,
"proxy_trg_tx_bytes": 952337,
"status": "ended",
"created_at": "2026-03-18T16:18:12Z",
"updated_at": "2026-03-18T16:28:36Z"
}
],
"total": 1,
"limit": 100,
"page": 1,
"total_pages": 1,
"has_more": false
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}API Reference
List browser session usage
List Tetra browser session usage for the authenticated user. Returns session telemetry including duration, data transfer, mode, and status.
GET
/
usage
List browser session usage
Authorizations
API key for authentication. Get your key from the API Keys page.
Query Parameters
Available options:
running, ended Required range:
1 <= x <= 1000Required range:
x >= 1Was this page helpful?
⌘I